#include <spdlog/spdlog.h>
#include "./did_change_provider.hpp"

namespace lsp::providers::text_document
{

    std::string DidChangeProvider::GetMethod() const
    {
        return "textDocument/didChange";
    }

    std::string DidChangeProvider::GetProviderName() const
    {
        return "DidChangeProvider";
    }

    void DidChangeProvider::HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context)
    {
        static_cast<void>(context);
        spdlog::debug("DidChangeProvider: Providing response for method {}", notification.method);
    }

}
